Kerbal Space Program - Bug #6965

Ship destruction or strange effects on deployment to Launchpad when root part is outside the circle
on VAB floor

02/14/2016 05:02 PM - Kasuha

Status: Closed Start date: 02/14/2016
Severity: Low % Done: 100%
Assignee:

Category: Physics

Target version: 1.2.0

Version: 1.0.5 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

This happens time to time, e.g. when constructing missiles aimed at the Runway island, or when pre-pitching a really long ship for
gravity turn.

When a ship is deployed on Launchpad with its root part outside the circle on the VAB floor, it is deployed at position corresponding
to its VAB placement at first, but as soon as physics is started, it abruptly changes position or (more often) explodes.

If the root part is changed to any part inside the circle, even if the position of the ship does not change at all, it is deployed with no
problems.

Reproduction steps:

Enter VAB

Load Kerbal X (or any other suitable ship)

Move and/or rotate it so its root part is outside the circle
Deploy it on launchpad

Observe the behavior (see attached screenshots for examples)
Revert to VAB

Change root to a part that stays inside the circle

Turn the ship the same way

Deploy it on launchpad

Observe the behavior
There are no noticable messages about it in the log. The destruction starts with the following (note: the screenshot is taken when the
ship is already deployed on launchpad but still intact)

[LOG 17:39:27.846] SCREENSHOT!!

[LOG 17:39:28.868] [Kerbal X]: ground contact! - error: -4.715m

[LOG 17:39:28.869] Unpacking Kerbal X

[LOG 17:39:28.907] [00:00:00]: Structural failure on linkage between Rockomax X200-32 Fuel Tank and Rockomax X200-32 Fuel
Tank.

[LOG 17:39:28.924] [00:00:00]: Structural failure on linkage between Hydraulic Detachment Manifold and Rockomax X200-32 Fuel
Tank.

History

#2 - 07/17/2016 09:44 AM - TriggerAu

- Status changed from New to Needs Clarification

#3 - 10/14/2016 02:45 AM - Squelch
- Status changed from Needs Clarification to Ready to Test
- Target version set to 1.2.0

- % Done changed from 0 to 80
This should have been fixed in KSP 1.1.3.

Please retest in KSP 1.2

#4 - 10/15/2016 10:44 AM - Kasuha

Works for me in 1.2

#5 - 12/02/2016 08:29 AM - JPLRepo
- Status changed from Ready to Test to Closed
- % Done changed from 80 to 100
